WordPress 3.5.1 Upkeep and also Safety And Security Launch – San Francisco

WordPress 3.5.1 Upkeep and also Safety And Security Launch – San Francisco

WordPress 3.5.1 is currently readily available. Variation 3.5.1 is the very first upkeep launch of 3.5,fixing 37 bugs It is likewise a safety and security launch for all previous WordPress variations. For a complete checklist of adjustments, speak with the list of tickets and also the changelog, that include:

  • Editor: Stop specific HTML aspects from being all of a sudden eliminated or changed in unusual instances.
  • Media: Deal with a collection of small operations and also compatibility problems in the brand-new media supervisor.
  • Networks: Recommend appropriate revise guidelines when developing a brand-new network.
  • Stop arranged articles from being removed of specific HTML, such as video clip embeds, when they are released.
  • Job around some misconfigurations that might have created some JavaScript in the WordPress admin location to fall short.
  • Reduce some cautions that can take place when a plugin mistreated the data source or customer APIs.

In addition, a pest influencing Windows web servers running IIS can protect against upgrading from 3.5 to 3.5.1. If you obtain the mistake “Location directory site for documents streaming does not exist or is not writable,” you will certainly require to follow the steps outlined on the Codex.

WordPress 3.5.1 likewise resolves the list below safety problems:

  • A server-side demand bogus susceptability and also remote port scanning utilizing pingbacks. This susceptability, which can possibly be made use of to subject details and also endanger a website, influences all previous WordPress variations. This was dealt with by the WordPress safety group. We want to give thanks to safety scientists Gennady Kovshenin and also Ryan Dewhurst for assessing our job.
  • 2 circumstances of cross-site scripting by means of shortcodes and also article material. These problems were uncovered by Jon Cavern of the WordPress safety group.
  • A cross-site scripting susceptability in the outside collection Plupload. Many thanks to the Moxiecode group for dealing with us on this, and also for launching Plupload 1.5.5 to resolve this problem.

Download 3.5.1 or see Control panel → Updates in your website admin to upgrade currently.


Cogknockers is a San Francisco WordPress Development Agency with 20+ Years Experience.  WordPress Design is at the core of our services.

Share this post

Share on facebook
Share on twitter
Share on linkedin
Share on pinterest
Share on print
Share on email

Recent News

0

Scroll to Top